F5 BIG-IP RCE (CVE-2022-1388)

critical Nessus Plugin ID 160726

Synopsis

The remote F5 device is missing a security patch and is affected by a remote code execution vulnerability.

Description

A remote code execution vulnerability exists in the iControl REST API feature of F5's BIG-IP product. An unauthenticated, remote attacker can exploit this to bypass authentication and execute arbitrary commands with root privileges.

Solution

Apply the appropriate patch as referenced in the vendor advisory.

See Also

https://github.com/horizon3ai/CVE-2022-1388

https://support.f5.com/csp/article/K23605346

Plugin Details

Severity: Critical

ID: 160726

File Name: f5_cve-2022-1388.nbin

Version: 1.8

Type: remote

Family: Misc.

Published: 5/9/2022

Updated: 8/2/2022

Risk Information

VPR

Risk Factor: Critical

Score: 9.6

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:H/RL:OF/RC:C

CVSS Score Source: CVE-2022-1388

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 9.4

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:H/RL:O/RC:C

Vulnerability Information

CPE: cpe:/h:f5:big-ip

Required KB Items: installed_sw/F5 BIG-IP web management

Exploit Available: true

Exploit Ease: Exploits are available

Exploited by Nessus: true

Patch Publication Date: 5/4/2022

Vulnerability Publication Date: 5/4/2022

CISA Known Exploited Dates: 5/31/2022

Exploitable With

Metasploit (F5 BIG-IP iControl RCE via REST Authentication Bypass)

Reference Information

CVE: CVE-2022-1388

IAVA: 2022-A-0189